<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FiledAmount StructType
 * Meta information extracted from the WSDL
 * - documentation: Base Fare Amount as originally filed.
 * @subpackage Structs
 */
class FiledAmount extends AbstractStructBase
{
    /**
     * The _
     * @var int
     */
    public $_;
    /**
     * Constructor method for FiledAmount
     * @uses FiledAmount::set_()
     * @param int $_
     */
    public function __construct($_ = null)
    {
        $this
            ->set_($_);
    }
    /**
     * Get _ value
     * @return int|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param int $_
     * @return \StructType\FiledAmount
     */
    public function set_($_ = null)
    {
        // validation for constraint: int
        if (!is_null($_) && !(is_int($_) || ctype_digit($_))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($_, true), gettype($_)), __LINE__);
        }
        $this->_ = $_;
        return $this;
    }
}
